// -*-C++-*-
/*!
 * @file  ConverterSVC_impl.h
 * @brief Service implementation header of Converter.idl
 *
 */

#include "ConverterSkel.h"


#ifndef CONVERTERSVC_IMPL_H
#define CONVERTERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface converter
 */
class converterSVC_impl
 : public virtual POA_converter,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~converterSVC_impl();

 public:
   // standard constructor
   converterSVC_impl();
   virtual ~converterSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& inport_datatype, CORBA::Long& outport_datatype, CORBA::Long& extra_num);

};



#endif // CONVERTERSVC_IMPL_H


