// -*-C++-*-
/*!
 * @file  GainerSVC_impl.h
 * @brief Service implementation header of Gainer.idl
 *
 */

#include "GainerSkel.h"


#ifndef GAINERSVC_IMPL_H
#define GAINERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface gainer
 */
class gainerSVC_impl
 : public virtual POA_gainer,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~gainerSVC_impl();

 public:
   // standard constructor
   gainerSVC_impl();
   virtual ~gainerSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, CORBA::Double& gain);
   CORBA::Double GetGain();
   CORBA::Long SetGain(CORBA::Double& gain);

};



#endif // GAINERSVC_IMPL_H


