// -*-C++-*-
/*!
 * @file  DerivativerSVC_impl.cpp
 * @brief Service implementation code of Derivativer.idl
 *
 */

#include "DerivativerSVC_impl.h"
#include <iostream>

#define SHORT 1
#define LONG 2
#define FLOAT 3
#define DOUBLE 4
#define SHORTARRAY 10
#define LONGARRAY 20
#define FLOATARRAY 30
#define DOUBLEARRAY 40

/*
 * Example implementational code for IDL interface derivativer
 */
derivativerSVC_impl::derivativerSVC_impl()
{
  // Please add extra constructor code here.
}


derivativerSVC_impl::~derivativerSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
extern bool svc_flag;
extern int svc_type;

CORBA::Long derivativerSVC_impl::SetStatus(CORBA::Long& datatype)
{
  if(datatype!=SHORT && datatype!=LONG && datatype!=FLOAT && datatype!=DOUBLE && datatype!=SHORTARRAY && datatype!=LONGARRAY && datatype!=FLOATARRAY && datatype!=DOUBLEARRAY){
    std::cout << "DataType ERROR." << std::endl;
    return -1;
  }

  svc_flag = true;
  svc_type = (int)datatype;

  return 0;
}



// End of example implementational code



