// -*-C++-*-
/*!
 * @file  FileReaderSVC_impl.h
 * @brief Service implementation header of FileReader.idl
 *
 */

#include "FileReaderSkel.h"


#ifndef FILEREADERSVC_IMPL_H
#define FILEREADERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface filereader
 */
class filereaderSVC_impl
 : public virtual POA_filereader,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~filereaderSVC_impl();

 public:
   // standard constructor
   filereaderSVC_impl();
   virtual ~filereaderSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, const char* outputdata, CORBA::Long& arraysize);
   CORBA::Long StartOutput();
   CORBA::Long StopOutput();
   CORBA::Long ResetOutput();

};



#endif // FILEREADERSVC_IMPL_H


